[Eclipse] DLTK crashed with error message “Open Type Hierarchy action”

Context :

Eclipse 3.7.2 (Indigo)

Problem / Error:

An internal error occurred during: "Open Type Hierarchy action".
org.eclipse.dltk.ast.ASTNode.end()I

Solution (reblog la solution) :

PDT 3.1.1 requires DLTK 4.0, and there is no such version of DLTK in Indigo repository.
When you installed PDT 3.1.1 on Indigo, DLTK 3.0 in Indigo repository is applied because of mal-dependencies in PDT. It doesn’t work.

You can choose several ways to fix the problem.
1) Upgrade to the latest stable Juno 3.8.1.
2) Downgrade to the latest bug-ful Juno 4.2.1 having too much problems.
3) Install DLTK 4.0 into your Indigo installation.
4) Drop PDT.

If you are going to install DLTK 4.0 into your Indigo,
Go to Help>Install New Software
Add “http://download.eclipse.org/releases/juno
Check “Dynamic Languages Toolkit – Core Frameworks” (under General Purpose Tools category)
Go ahead.

Note that this updates “EMF – Eclipse Modeling Framework Core Runtime”(from 2.7 to 2.8 ) also. I don’t know whether this will cause other problems or not against other than PDT.

Reference :

http://www.eclipse.org/forums/index.php/t/374334/

Advertisements

[Eclipse][Oracle JDK] Eclipse Indigo crashes at startup in Ubuntu 12.04

Problem :

Eclipse crashes at startup in Ubuntu 12.04 displaying an error dialog with the message “An error has occurred. See the log file /home/user/.eclipse/org.eclipse.platform_3.7.0_155965261/configuration/[a_long_number].log.” The log file is attached to the report.

Solution :

Eclipse Indigo is not compatible with Oracle’s JDK, in my case, it is JDK 1.6.0_45.

But it works with Open jdk, so idea is to change Oracle JDK to Open JDK in ubuntu 12.04

Continue reading

[Proxy Ubuntu] Configration of proxy in Ubuntu 12.04 for eclipse SVN

1. Configration proxy in Ubuntu :

System setting -> Network proxy as diagram below :

Apply your own configration of proxy.

2. Configration proxy for SVN :

Go to ~/.subversion folder, modify the file servers :

Uncomment these lines and add your own configration proxy :

# http-proxy-host=your_host_name
# http-proxy-port=8080
# http-proxy-username=bo
# http-proxy-password=password

Make sure there is no gap on either side of “=” symbol

It will works your proxy.

[PHPUNIT][ECLIPSE] PHPUnit/Autoload.php no such file in eclipse

IDE : eclipse

Error :

Warning: require(PHPUnit/Autoload.php): failed to open stream: 
No such file or directory

Solution :
Locate first your PHPUnit, that is to say, verify whether 
PHPUnit folder is already in /usr/share/php, if yes, take a look at 
the diagram below, in your eclipse, go to Window, then Preference, 
then PHP Include Path, then Libraries, click Add External Source Folder. 
Add /usr/share/php in your Libraries and PHPUnit will work well.
 Continue reading 

Eclipse — activer Run/Debug mode

=== Keywords ===
Eclipse Indigo(same for others version of eclipse)
PHP 5.3.5
=== Background ===
Active eclipse Run/Debug mode failed
=== Scene ===
When clicked “Run/Debug”, selected “Run/Debug as”, there was no “PHP Script”, and if we entered into “Run/Debug configurations” interface, in the option “PHP File”, clicked “Browse”, in the pop-up box, there was no project in it.
=== Solution ===
– Right click your project(make sure it is not closed)
– Choose “Configure”
– Choose “Add PHP Support…”
– Redo the steps in Scene, Run/Debug mode will be active
=== Schema ===